flowLayout {shiny} | R Documentation

## Flow layout

### Description

Lays out elements in a left-to-right, top-to-bottom arrangement. The elements on a given row will be top-aligned with each other. This layout will not work well with elements that have a percentage-based width (e.g. `plotOutput` at its default setting of `width = "100%"`).

### Usage

    flowLayout(..., cellArgs = list())

### Arguments

`...` | Unnamed arguments will become child elements of the layout. Named arguments will become HTML attributes on the outermost tag.
`cellArgs` | Any additional attributes that should be used for each cell of the layout.

### See Also

`verticalLayout`

### Examples

    ## Only run examples in interactive R sessions
    if (interactive()) {

    ui <- flowLayout(
      numericInput("rows", "How many rows?", 5),
      selectInput("letter", "Which letter?", LETTERS),
      sliderInput("value", "What value?", 0, 100, 50)
    )
    shinyApp(ui, server = function(input, output) { })
    }

[Package shiny version 0.14.2 Index]